API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/archive

ark.archive_load

Archives a visible load, blocking delivered loads that must first be undelivered from Billing.

Availability
Expanded preview
Scopes
loads:delete
ARK permissions
canDeleteLoad
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/archive' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Archived load

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired

Errors

No operation-specific error responses.